Make WordPress Core

Opened 3 years ago

Closed 3 years ago

Last modified 3 years ago

#53227 closed defect (bug) (invalid)

Could not grant access - user may already have permission to view this file

Reported by: alanaffelt's profile alanaffelt Owned by:
Milestone: Priority: normal
Severity: normal Version: 5.7.2
Component: General Keywords:
Focuses: Cc:

Description

When I attempt grant new download permissions to existing orders, I get this error:
Could not grant access - user may already have permission to view this file or billing email is not set. Ensure the billing email is set, and the order has been saved.
This was something I was able to do regularly until recently. I turned off all my plugins to see if any were causing the problem. It still persists. I verified that the billing email is set and the order is saved. I'm getting this error on every customer order I attempt it on.

I'm using WordPress version 5.7.2 and WooCommerce version 5.3.

`
### WordPress Environment ###

WordPress address (URL): https://stitchtopia.com
Site address (URL): https://stitchtopia.com
WC Version: 5.3.0
REST API Version: ✔ 5.3.0
WC Blocks Version: ✔ 4.9.1
Action Scheduler Version: ✔ 3.1.6
WC Admin Version: ✔ 2.2.6
Log Directory Writable: ✔
WP Version: 5.7.2
WP Multisite: –
WP Memory Limit: 512 MB
WP Debug Mode: –
WP Cron: ✔
Language: en_US
External object cache: –

### Server Environment ###

Server Info: Apache
PHP Version: 7.4.16
PHP Post Max Size: 100 MB
PHP Time Limit: 3600
PHP Max Input Vars: 10000
cURL Version: 7.58.0
OpenSSL/1.1.1

SUHOSIN Installed: –
MySQL Version: 5.7.33-36-log
Max Upload Size: 50 MB
Default Timezone is UTC: ✔
fsockopen/cURL: ✔
SoapClient: ✔
DOMDocument: ✔
GZip: ✔
Multibyte String: ✔
Remote Post: ✔
Remote Get: ✔

### Database ###

WC Database Version: 5.3.0
WC Database Prefix: wp_
Total Database Size: 2804.48MB
Database Data Size: 1660.01MB
Database Index Size: 1144.47MB
wp_woocommerce_sessions: Data: 5.02MB + Index: 0.06MB + Engine InnoDB
wp_woocommerce_api_keys: Data: 0.02MB + Index: 0.03MB + Engine InnoDB
wp_woocommerce_attribute_taxonomies: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_woocommerce_downloadable_product_permissions: Data: 27.56MB + Index: 70.47MB + Engine InnoDB
wp_woocommerce_order_items: Data: 18.55MB + Index: 5.52MB + Engine InnoDB
wp_woocommerce_order_itemmeta: Data: 254.67MB + Index: 103.25MB + Engine InnoDB
wp_woocommerce_tax_rates: Data: 0.02MB + Index: 0.06MB + Engine InnoDB
wp_woocommerce_tax_rate_locations: Data: 0.02MB + Index: 0.05MB + Engine InnoDB
wp_woocommerce_shipping_zones: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_woocommerce_shipping_zone_locations: Data: 0.02MB + Index: 0.05MB + Engine InnoDB
wp_woocommerce_shipping_zone_methods: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_woocommerce_payment_tokens: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_woocommerce_payment_tokenmeta: Data: 0.02MB + Index: 0.03MB + Engine InnoDB
wp_woocommerce_log: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_actionscheduler_actions: Data: 52.09MB + Index: 24.89MB + Engine InnoDB
wp_actionscheduler_claims: Data: 2.52MB + Index: 1.52MB + Engine InnoDB
wp_actionscheduler_groups: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_actionscheduler_logs: Data: 27.06MB + Index: 18.03MB + Engine InnoDB
wp_ac_abandoned_cart_history_lite: Data: 2.27MB + Index: 0.00MB + Engine InnoDB
wp_ac_email_templates_lite: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_ac_guest_abandoned_cart_history_lite: Data: 0.09MB + Index: 0.00MB + Engine InnoDB
wp_ac_sent_history_lite: Data: 0.06MB + Index: 0.00MB + Engine InnoDB
wp_commentmeta: Data: 0.41MB + Index: 0.45MB + Engine InnoDB
wp_comments: Data: 45.58MB + Index: 36.05MB + Engine InnoDB
wp_fbv: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_fbv_attachment_folder: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_links: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_ms_snippets: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_nextend2_image_storage: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_nextend2_section_storage: Data: 0.02MB + Index: 0.09MB + Engine InnoDB
wp_nextend2_smartslider3_generators: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_nextend2_smartslider3_sliders: Data: 0.03MB + Index: 0.03MB + Engine InnoDB
wp_nextend2_smartslider3_sliders_xref: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_nextend2_smartslider3_slides: Data: 0.08MB + Index: 0.11MB + Engine InnoDB
wp_options: Data: 38.23MB + Index: 14.14MB + Engine InnoDB
wp_pmxe_exports: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_pmxe_google_cats: Data: 0.39MB + Index: 0.00MB + Engine InnoDB
wp_pmxe_posts: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_pmxe_templates: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_postmeta: Data: 707.00MB + Index: 593.95MB + Engine InnoDB
wp_posts: Data: 73.59MB + Index: 41.94MB + Engine InnoDB
wp_redeem_history: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_redeem_logs: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_referal_product_commission: Data: 1.52MB + Index: 0.00MB + Engine InnoDB
wp_referal_program: Data: 1.52MB + Index: 0.00MB + Engine InnoDB
wp_referal_users: Data: 0.25MB + Index: 0.17MB + Engine InnoDB
wp_report_data: Data: 13.52MB + Index: 0.00MB + Engine InnoDB
wp_report_data_full: Data: 14.52MB + Index: 0.00MB + Engine InnoDB
wp_report_data_old: Data: 0.19MB + Index: 0.00MB + Engine InnoDB
wp_shortpixel_folders: Data: 0.02MB + Index: 0.03MB + Engine InnoDB
wp_shortpixel_meta: Data: 0.02MB + Index: 0.03MB + Engine InnoDB
wp_snippets: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_stream: Data: 0.02MB + Index: 0.13MB + Engine InnoDB
wp_stream_meta: Data: 0.02MB + Index: 0.05MB + Engine InnoDB
wp_termmeta: Data: 0.22MB + Index: 0.25MB + Engine InnoDB
wp_terms: Data: 0.22MB + Index: 0.25MB + Engine InnoDB
wp_term_relationships: Data: 3.52MB + Index: 2.50MB + Engine InnoDB
wp_term_taxonomy: Data: 0.17MB + Index: 0.19MB + Engine InnoDB
wp_tinvwl_analytics: Data: 2.52MB + Index: 1.52MB + Engine InnoDB
wp_tinvwl_items: Data: 2.52MB + Index: 0.00MB + Engine InnoDB
wp_tinvwl_lists: Data: 2.52MB + Index: 0.00MB + Engine InnoDB
wp_usermeta: Data: 131.69MB + Index: 80.16MB + Engine InnoDB
wp_users: Data: 5.52MB + Index: 5.55MB + Engine InnoDB
wp_wc_admin_notes: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_wc_admin_note_actions: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_wc_category_lookup: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_wc_customer_lookup: Data: 4.52MB + Index: 5.03MB + Engine InnoDB
wp_wc_download_log: Data: 7.52MB + Index: 7.03MB + Engine InnoDB
wp_wc_order_coupon_lookup: Data: 2.52MB + Index: 3.03MB + Engine InnoDB
wp_wc_order_product_lookup: Data: 49.59MB + Index: 45.05MB + Engine InnoDB
wp_wc_order_stats: Data: 19.55MB + Index: 14.53MB + Engine InnoDB
wp_wc_order_tax_lookup: Data: 0.02MB + Index: 0.03MB + Engine InnoDB
wp_wc_product_meta_lookup: Data: 3.50MB + Index: 2.73MB + Engine InnoDB
wp_wc_reserved_stock: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_wc_tax_rate_classes: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_wc_webhooks: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_wpfm_backup: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_wpmelon_advbedit_temp: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_wsal_metadata: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_wsal_occurrences: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_wsal_options: Data: 0.02MB + Index: 0.00MB + Engine InnoDB
wp_yoast_indexable: Data: 44.58MB + Index: 32.56MB + Engine InnoDB
wp_yoast_indexable_hierarchy: Data: 2.50MB + Index: 2.48MB + Engine InnoDB
wp_yoast_migrations: Data: 0.02MB + Index: 0.02MB + Engine InnoDB
wp_yoast_primary_term: Data: 0.14MB + Index: 0.14MB + Engine InnoDB
wp_yoast_seo_links: Data: 82.61MB + Index: 30.03MB + Engine InnoDB
wp_yoast_seo_meta: Data: 6.50MB + Index: 0.00MB + Engine InnoDB

### Post Type Counts ###

advanced_ads: 6
amn_exact-metrics: 1
attachment: 19636
custom_css: 2
ep-synonym: 1
form-entries: 16
mc4wp-form: 1
nav_menu_item: 110
oembed_cache: 47
page: 19
post: 2
postman_sent_mail: 250
product: 1884
product_variation: 15601
revision: 10
shop_coupon: 80
shop_order: 168630
shop_order_refund: 130
wmc-banner: 8
wpcf7_contact_form: 1

### Security ###

Secure connection (HTTPS): ✔
Hide errors from visitors: ✔

### Active Plugins (32) ###

AccessPress Social Share: by AccessPress Themes – 4.5.5
AWS for WordPress: by AWS Labs
WP Engine – 4.2.1

Contact Form 7 Image Captcha: by KC Computing – 3.2.2
Contact Form 7: by Takayuki Miyoshi – 5.4.1
Disable Gutenberg: by Jeff Starr – 2.4
ElasticPress: by 10up – 3.5.6
Facebook for WooCommerce: by Facebook – 2.4.1
Google Analytics Dashboard for WP (GADWP): by ExactMetrics – 6.7.0
MC4WP: Mailchimp for WordPress: by ibericode – 4.8.4
Menu Image: by Rui Guerreiro – 3.0.4
PayPal for WooCommerce: by Angell EYE – 1.5.7
Postman SMTP: by Jason Hendriks – 1.7.2
Product Sales Report for WooCommerce: by Aspen Grove Studios – 1.5.1
ShortPixel Image Optimizer: by ShortPixel – 4.22.2
Tag Pages: by Bjorn Wijers – 1.0.2
TI WooCommerce Wishlist: by TemplateInvaders – 1.25.5
User Switching: by John Blackbourn & contributors – 1.5.7
Virtue/Ascend/Pinnacle Toolkit: by Kadence WP – 4.9.6
Woocommerce Disable Repeat Purchase: by Prism I.T. Systems – 1.8
WC Password Strength Settings: by Daniel Santoro – 2.2.2
Woocommerce Advanced Bulk Edit: by George Iron – 4.2.5
WooCommerce Conversion Tracking: by weDevs – 2.0.8
WooCommerce Google Analytics Integration: by WooCommerce – 1.5.1
WooCommerce Multilevel Referral Plugin: by Prism I.T. Systems – 2.18
WooCommerce Multilevel Referral Payment Withdrawl Add-on: by Prism I.T. Systems – 1.0.1
WooCommerce Multilevel Referral Credits Manager: by Prism I.T. Systems – 1.0.1
WooCommerce: by Automattic – 5.3.0
WooReports: by Prism I.T. Systems – 1.0 Beta
Yoast SEO: by Team Yoast – 16.3
WP Robots Txt: by Christopher Davis – 1.1
WP Engine eCommerce Metrics: by WP Engine – 1.0.2
WPtouch Pro: by WPtouch – 4.3.38

### Inactive Plugins (15) ###

Abandoned Cart Lite for WooCommerce: by Tyche Softwares – 5.8.8
Adminer: by Frank Bültge – 1.4.2
Advanced Ads: by Thomas Maier
Advanced Ads GmbH – 1.24.2

Advanced Ads – Browser Language: by Thomas Maier – 1.0.0
Advanced Ads – Slider: by Thomas Maier – 1.3.2
Better Search Replace: by Delicious Brains – 1.3.4
Checkout Manager for WooCommerce: by QuadLayers – 5.3.6
Download Plugin: by metagauss – 1.5.4
Download Plugins and Themes from Dashboard: by Algoritmika Ltd – 1.7.1
Kadence Blocks – Gutenberg Blocks for Page Builder Features: by Kadence WP – 2.0.5
Smart Slider 3: by Nextend – 3.4.1.17
User auto login links: by Prism I.T. Systems – 0.0.1
WooCommerce Admin: by WooCommerce – 2.3.0
WP File Manager: by mndpsingh287 – 7.1.1
WP phpMyAdmin: by Puvox.software – 5.0.4.1

### Dropin Plugins (1) ###

advanced-cache.php: advanced-cache.php

### Must Use Plugins (4) ###

Force Strong Passwords - WPE Edition: by Jason Cosper – 1.6.4
WP Engine Seamless Login Plugin: by WP Engine – 1.5.5
WP Engine Security Auditor: by wpengine – 1.0.10
WP Engine System: by WP Engine – 4.1.0

### Settings ###

API Enabled: ✔
Force SSL: –
Currency: USD ($)
Currency Position: left
Thousand Separator: ,
Decimal Separator: .
Number of Decimals: 2
Taxonomies: Product Types: external (external)
grouped (grouped)
simple (simple)
variable (variable)

Taxonomies: Product Visibility: exclude-from-catalog (exclude-from-catalog)
exclude-from-catalog (exclude-from-catalog-2)
exclude-from-search (exclude-from-search)
featured (featured)
outofstock (outofstock)
outofstock (outofstock-2)
outofstock (outofstock-3)
rated-1 (rated-1)
rated-1 (rated-1-2)
rated-2 (rated-2)
rated-2 (rated-2-2)
rated-2 (rated-2-3)
rated-3 (rated-3)
rated-3 (rated-3-2)
rated-3 (rated-3-3)
rated-3 (rated-3-4)
rated-3 (rated-3-5)
rated-4 (rated-4)
rated-4 (rated-4-2)
rated-5 (rated-5)
rated-5 (rated-5-2)
rated-5 (rated-5-3)

Connected to WooCommerce.com: ✔

### WC Pages ###

Shop base: #4 - /
Cart: #5 - /cart/
Checkout: #6 - /checkout/
My account: #7 - /my-account/
Terms and conditions: #3159 - /refund-policy/

### Theme ###

Name: Virtue
Version: 3.4.4 (update to version 3.4.5 is available)
Author URL: https://kadencewp.com/
Child Theme: ❌ – If you are modifying WooCommerce on a parent theme that you did not build personally we recommend using a child theme. See: How to create a child theme
WooCommerce Support: ✔

### Templates ###

Overrides: virtue/woocommerce/archive-product.php
virtue/woocommerce/content-product.php
virtue/woocommerce/content-single-product.php
virtue/woocommerce/loop/loop-end.php
virtue/woocommerce/loop/loop-start.php
virtue/woocommerce/loop/price.php
virtue/woocommerce/loop/rating.php
virtue/woocommerce/loop/sale-flash.php
virtue/woocommerce/single-product/add-to-cart/external.php
virtue/woocommerce/single-product/add-to-cart/grouped.php version 4.0.0 is out of date. The core version is 4.8.0
virtue/woocommerce/single-product/add-to-cart/simple.php
virtue/woocommerce/single-product/add-to-cart/variable.php
virtue/woocommerce/single-product/price.php
virtue/woocommerce/single-product/product-image.php
virtue/woocommerce/single-product/product-thumbnails.php
virtue/woocommerce/single-product/sale-flash.php
virtue/woocommerce/single-product.php
virtue/woocommerce/content-product_cat.php version 2.6.1 is out of date. The core version is 4.7.0
virtue/woocommerce/taxonomy-product_cat.php version 1.6.4 is out of date. The core version is 4.7.0
virtue/woocommerce/taxonomy-product_tag.php version 1.6.4 is out of date. The core version is 4.7.0

Outdated Templates: ❌


Learn how to update

### TI WooCommerce Wishlist Templates ###

Overrides: –

### Action Scheduler ###

Complete: 19,114
Oldest: 2021-04-29 13:39:18 -0500
Newest: 2021-05-18 10:53:34 -0500

Failed: 74,771
Oldest: –
Newest: –

In-progress: 1
Oldest: –
Newest: –

Pending: 1
Oldest: 2021-05-19 20:00:28 -0500
Newest: 2021-05-19 20:00:28 -0500

### Status report information ###

Generated at: 2021-05-18 11:29:56 -05:00
`

Attachments (1)

Screen Shot 2021-05-14 at 9.28.59 AM.png (809.3 KB) - added by alanaffelt 3 years ago.
Error message

Download all attachments as: .zip

Change History (4)

#1 @alanaffelt
3 years ago

Not sure if this is related, but orders have disappeared from individual customer's order history, and if I search order on admin side using customer ID, it returns nothing. But the download permissions are still active for each customer. Orders reappear in the admin order history if I switch view from "All Dates" to a specific period.

#2 @knutsp
3 years ago

  • Resolution set to invalid
  • Status changed from new to closed

Hello and welcome to Core Trac

Sorry to hear you have some trouble with your WordPress + WooCommerce site.

This a developer tool for tracking bugs and enhancements in the WordPress core software. It's not a support forum, not for WordPress itself, not for the WooCommerce plugin.

Please try their support forum at https://wordpress.org/support/plugin/woocommerce/

If it should turn out it happens because of a bug i WordPress, you may come back and reopen this ticket.

#3 @peterwilsoncc
3 years ago

  • Milestone Awaiting Review deleted
Note: See TracTickets for help on using tickets.